Subject: Re: [PATCH v2 0/9] midx: stop duplicating info redundant with their sources

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 11 Aug 2025 13:56:47 +0200

On Thu, Aug 07, 2025 at 06:27:08PM -0400, Taylor Blau wrote:
> On Thu, Aug 07, 2025 at 10:09:50AM +0200, Patrick Steinhardt wrote:
> > ---
> > Patrick Steinhardt (9):
> >       odb: store locality in object database sources
> >       odb: allow `odb_find_source()` to fail
> >       odb: return newly created in-memory sources
> >       odb: simplify calling `link_alt_odb_entry()`
> >       midx: drop redundant `struct repository` parameter
> >       midx: load multi-pack indices via their source
> >       midx: write multi-pack indices via their source
> >       midx: stop duplicating info redundant with its owning source
> >       midx: compute paths via their source
> 
> I read through these patches, and they look pretty good to me. I left a
> few minor comments in the first half of the series, but nothing
> show-stopping there.
> 
> I would, however, like to hear from Stolee on the --object-dir stuff,
> since I am not sure if the implementation here has any unintended
> consequences. That feature is (as yet) mysterious to me.

Thanks for your review! I'll reroll even without having heard from
Stolee just yet, but will add him to Cc for the next iteration.

Patrick